use rocket::response::content::RawHtml;
use rocket::Request;
use rocket::http::Status;

use crate::*;

#[catch(default)]
pub fn default(status: Status, req: &Request)-> RawHtml<String>{
    RawHtml(crate::htmlgenerator::builder::build_page(
        gen_head("UTF-8", "genki_angel", "banii.cafe", "base"), 
        gen_header("BANII.CAFE", "uh-oh, something has gone wrong!".to_string()), 
        gen_main(gen_nav(get_links()), String::from(format!(r#"
        <article>
            <div class="window">
                <img src="https://http.cat/{}"/>
                <p>{}</p>
            </div>
        </article>
    "#, status.code, req.uri()))), 
        gen_footer()
    ))
}